Subject: Ticket Assigned - Undelivered item
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 09:02:59 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Undelivered item Hi,

I ordered items from Centrepoint app and the next day it was marked as delivered while I didn’t recieve anything. I contacted Support team by calls and emails and no one until now helped me regarding my issue.

When I emailed the support team they send me a a picture of my apartment door as proof that my item has been delivered so I checked with the CCTV at the time the package was delivered and there was no one who came.

This is not acceptable from a well known and trusted company. I need a refund as soon as possible as this is the only solution I accept for this issue. 

Looking forward to hear from you 

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4346975